published on Thursday, Apr 30, 2026 by Pulumi
published on Thursday, Apr 30, 2026 by Pulumi
Creates a WAFv2 Web ACL resource.
Note: Inline
ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Limitations include: Deletion ordering errors: When removing a rule that references an IP set or rule group, AWS requires the rule to be detached before the referenced resource is deleted. Terraform’s dependency graph cannot model this correctly for inline rules, resulting inWAFAssociatedItemExceptionerrors. Spurious diffs: AWS returns rules in an unpredictable order, which can cause Terraform to detect changes even when the configuration has not changed. Coupled updates: Modifying one inline rule may cause all rules to be recreated, which can be disruptive.
!> Warning: If you use the aws.wafv2.WebAclRule or aws.wafv2.WebAclRuleGroupAssociation resources with this Web ACL, you must add lifecycle { ignoreChanges = [rule] } to this resource to prevent configuration drift. Those resources manage the Web ACL’s rules outside of this resource’s direct management.
Create WebAcl Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new WebAcl(name: string, args: WebAclArgs, opts?: CustomResourceOptions);@overload
def WebAcl(resource_name: str,
args: WebAclArgs,
opts: Optional[ResourceOptions] = None)
@overload
def WebAcl(resource_name: str,
opts: Optional[ResourceOptions] = None,
association_config: Optional[WebAclAssociationConfigArgs] = None,
captcha_config: Optional[WebAclCaptchaConfigArgs] = None,
challenge_config: Optional[WebAclChallengeConfigArgs] = None,
custom_response_bodies: Optional[Sequence[WebAclCustomResponseBodyArgs]] = None,
data_protection_config: Optional[WebAclDataProtectionConfigArgs] = None,
default_action: Optional[WebAclDefaultActionArgs] = None,
description: Optional[str] = None,
name: Optional[str] = None,
name_prefix: Optional[str] = None,
region: Optional[str] = None,
rule_json: Optional[str] = None,
rules: Optional[Sequence[WebAclRuleArgs]] = None,
scope: Optional[str] = None,
tags: Optional[Mapping[str, str]] = None,
token_domains: Optional[Sequence[str]] = None,
visibility_config: Optional[WebAclVisibilityConfigArgs] = None)func NewWebAcl(ctx *Context, name string, args WebAclArgs, opts ...ResourceOption) (*WebAcl, error)public WebAcl(string name, WebAclArgs args, CustomResourceOptions? opts = null)
public WebAcl(String name, WebAclArgs args)
public WebAcl(String name, WebAclArgs args, CustomResourceOptions options)
type: aws:wafv2:WebAcl
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args WebAclArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args WebAclArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args WebAclArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args WebAclArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args WebAclArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
WebAcl Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The WebAcl resource accepts the following input properties:
- Default
Action WebAcl Default Action - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - Scope string
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - Visibility
Config WebAcl Visibility Config - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details. - Association
Config WebAcl Association Config - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - Captcha
Config WebAcl Captcha Config - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - Challenge
Config WebAcl Challenge Config - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - Custom
Response List<WebBodies Acl Custom Response Body> - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - Data
Protection WebConfig Acl Data Protection Config - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - Description string
- Friendly description of the WebACL.
- Name string
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - Name
Prefix string - Creates a unique name beginning with the specified prefix. Conflicts with
name. - Region string
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- Rule
Json string - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - Rules
List<Web
Acl Rule> ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- Dictionary<string, string>
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - Token
Domains List<string> - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- Default
Action WebAcl Default Action Args - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - Scope string
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - Visibility
Config WebAcl Visibility Config Args - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details. - Association
Config WebAcl Association Config Args - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - Captcha
Config WebAcl Captcha Config Args - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - Challenge
Config WebAcl Challenge Config Args - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - Custom
Response []WebBodies Acl Custom Response Body Args - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - Data
Protection WebConfig Acl Data Protection Config Args - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - Description string
- Friendly description of the WebACL.
- Name string
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - Name
Prefix string - Creates a unique name beginning with the specified prefix. Conflicts with
name. - Region string
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- Rule
Json string - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - Rules
[]Web
Acl Rule Type Args ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- map[string]string
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - Token
Domains []string - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- default
Action WebAcl Default Action - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - scope String
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - visibility
Config WebAcl Visibility Config - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details. - association
Config WebAcl Association Config - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - captcha
Config WebAcl Captcha Config - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge
Config WebAcl Challenge Config - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom
Response List<WebBodies Acl Custom Response Body> - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data
Protection WebConfig Acl Data Protection Config - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - description String
- Friendly description of the WebACL.
- name String
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name
Prefix String - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region String
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule
Json String - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules
List<Web
Acl Rule> ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- Map<String,String>
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - token
Domains List<String> - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- default
Action WebAcl Default Action - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - scope string
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - visibility
Config WebAcl Visibility Config - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details. - association
Config WebAcl Association Config - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - captcha
Config WebAcl Captcha Config - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge
Config WebAcl Challenge Config - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom
Response WebBodies Acl Custom Response Body[] - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data
Protection WebConfig Acl Data Protection Config - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - description string
- Friendly description of the WebACL.
- name string
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name
Prefix string - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region string
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule
Json string - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules
Web
Acl Rule[] ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- {[key: string]: string}
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - token
Domains string[] - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- default_
action WebAcl Default Action Args - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - scope str
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - visibility_
config WebAcl Visibility Config Args - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details. - association_
config WebAcl Association Config Args - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - captcha_
config WebAcl Captcha Config Args - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge_
config WebAcl Challenge Config Args - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom_
response_ Sequence[Webbodies Acl Custom Response Body Args] - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data_
protection_ Webconfig Acl Data Protection Config Args - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - description str
- Friendly description of the WebACL.
- name str
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name_
prefix str - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region str
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule_
json str - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules
Sequence[Web
Acl Rule Args] ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- Mapping[str, str]
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - token_
domains Sequence[str] - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- default
Action Property Map - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - scope String
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - visibility
Config Property Map - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details. - association
Config Property Map - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - captcha
Config Property Map - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge
Config Property Map - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom
Response List<Property Map>Bodies - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data
Protection Property MapConfig - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - description String
- Friendly description of the WebACL.
- name String
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name
Prefix String - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region String
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule
Json String - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules List<Property Map>
ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- Map<String>
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - token
Domains List<String> - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
Outputs
All input properties are implicitly available as output properties. Additionally, the WebAcl resource produces the following output properties:
- Application
Integration stringUrl - The URL to use in SDK integrations with managed rule groups.
- Arn string
- The ARN of the WAF WebACL.
- Capacity int
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- Id string
- The provider-assigned unique ID for this managed resource.
- Lock
Token string - Dictionary<string, string>
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block.
- Application
Integration stringUrl - The URL to use in SDK integrations with managed rule groups.
- Arn string
- The ARN of the WAF WebACL.
- Capacity int
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- Id string
- The provider-assigned unique ID for this managed resource.
- Lock
Token string - map[string]string
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block.
- application
Integration StringUrl - The URL to use in SDK integrations with managed rule groups.
- arn String
- The ARN of the WAF WebACL.
- capacity Integer
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- id String
- The provider-assigned unique ID for this managed resource.
- lock
Token String - Map<String,String>
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block.
- application
Integration stringUrl - The URL to use in SDK integrations with managed rule groups.
- arn string
- The ARN of the WAF WebACL.
- capacity number
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- id string
- The provider-assigned unique ID for this managed resource.
- lock
Token string - {[key: string]: string}
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block.
- application_
integration_ strurl - The URL to use in SDK integrations with managed rule groups.
- arn str
- The ARN of the WAF WebACL.
- capacity int
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- id str
- The provider-assigned unique ID for this managed resource.
- lock_
token str - Mapping[str, str]
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block.
- application
Integration StringUrl - The URL to use in SDK integrations with managed rule groups.
- arn String
- The ARN of the WAF WebACL.
- capacity Number
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- id String
- The provider-assigned unique ID for this managed resource.
- lock
Token String - Map<String>
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block.
Look up Existing WebAcl Resource
Get an existing WebAcl resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: WebAclState, opts?: CustomResourceOptions): WebAcl@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
application_integration_url: Optional[str] = None,
arn: Optional[str] = None,
association_config: Optional[WebAclAssociationConfigArgs] = None,
capacity: Optional[int] = None,
captcha_config: Optional[WebAclCaptchaConfigArgs] = None,
challenge_config: Optional[WebAclChallengeConfigArgs] = None,
custom_response_bodies: Optional[Sequence[WebAclCustomResponseBodyArgs]] = None,
data_protection_config: Optional[WebAclDataProtectionConfigArgs] = None,
default_action: Optional[WebAclDefaultActionArgs] = None,
description: Optional[str] = None,
lock_token: Optional[str] = None,
name: Optional[str] = None,
name_prefix: Optional[str] = None,
region: Optional[str] = None,
rule_json: Optional[str] = None,
rules: Optional[Sequence[WebAclRuleArgs]] = None,
scope: Optional[str] = None,
tags: Optional[Mapping[str, str]] = None,
tags_all: Optional[Mapping[str, str]] = None,
token_domains: Optional[Sequence[str]] = None,
visibility_config: Optional[WebAclVisibilityConfigArgs] = None) -> WebAclfunc GetWebAcl(ctx *Context, name string, id IDInput, state *WebAclState, opts ...ResourceOption) (*WebAcl, error)public static WebAcl Get(string name, Input<string> id, WebAclState? state, CustomResourceOptions? opts = null)public static WebAcl get(String name, Output<String> id, WebAclState state, CustomResourceOptions options)resources: _: type: aws:wafv2:WebAcl get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Application
Integration stringUrl - The URL to use in SDK integrations with managed rule groups.
- Arn string
- The ARN of the WAF WebACL.
- Association
Config WebAcl Association Config - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - Capacity int
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- Captcha
Config WebAcl Captcha Config - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - Challenge
Config WebAcl Challenge Config - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - Custom
Response List<WebBodies Acl Custom Response Body> - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - Data
Protection WebConfig Acl Data Protection Config - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - Default
Action WebAcl Default Action - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - Description string
- Friendly description of the WebACL.
- Lock
Token string - Name string
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - Name
Prefix string - Creates a unique name beginning with the specified prefix. Conflicts with
name. - Region string
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- Rule
Json string - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - Rules
List<Web
Acl Rule> ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- Scope string
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - Dictionary<string, string>
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - Dictionary<string, string>
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block. - Token
Domains List<string> - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- Visibility
Config WebAcl Visibility Config - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details.
- Application
Integration stringUrl - The URL to use in SDK integrations with managed rule groups.
- Arn string
- The ARN of the WAF WebACL.
- Association
Config WebAcl Association Config Args - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - Capacity int
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- Captcha
Config WebAcl Captcha Config Args - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - Challenge
Config WebAcl Challenge Config Args - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - Custom
Response []WebBodies Acl Custom Response Body Args - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - Data
Protection WebConfig Acl Data Protection Config Args - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - Default
Action WebAcl Default Action Args - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - Description string
- Friendly description of the WebACL.
- Lock
Token string - Name string
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - Name
Prefix string - Creates a unique name beginning with the specified prefix. Conflicts with
name. - Region string
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- Rule
Json string - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - Rules
[]Web
Acl Rule Type Args ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- Scope string
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - map[string]string
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - map[string]string
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block. - Token
Domains []string - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- Visibility
Config WebAcl Visibility Config Args - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details.
- application
Integration StringUrl - The URL to use in SDK integrations with managed rule groups.
- arn String
- The ARN of the WAF WebACL.
- association
Config WebAcl Association Config - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - capacity Integer
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- captcha
Config WebAcl Captcha Config - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge
Config WebAcl Challenge Config - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom
Response List<WebBodies Acl Custom Response Body> - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data
Protection WebConfig Acl Data Protection Config - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - default
Action WebAcl Default Action - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - description String
- Friendly description of the WebACL.
- lock
Token String - name String
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name
Prefix String - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region String
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule
Json String - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules
List<Web
Acl Rule> ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- scope String
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - Map<String,String>
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - Map<String,String>
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block. - token
Domains List<String> - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- visibility
Config WebAcl Visibility Config - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details.
- application
Integration stringUrl - The URL to use in SDK integrations with managed rule groups.
- arn string
- The ARN of the WAF WebACL.
- association
Config WebAcl Association Config - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - capacity number
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- captcha
Config WebAcl Captcha Config - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge
Config WebAcl Challenge Config - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom
Response WebBodies Acl Custom Response Body[] - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data
Protection WebConfig Acl Data Protection Config - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - default
Action WebAcl Default Action - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - description string
- Friendly description of the WebACL.
- lock
Token string - name string
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name
Prefix string - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region string
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule
Json string - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules
Web
Acl Rule[] ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- scope string
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - {[key: string]: string}
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - {[key: string]: string}
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block. - token
Domains string[] - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- visibility
Config WebAcl Visibility Config - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details.
- application_
integration_ strurl - The URL to use in SDK integrations with managed rule groups.
- arn str
- The ARN of the WAF WebACL.
- association_
config WebAcl Association Config Args - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - capacity int
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- captcha_
config WebAcl Captcha Config Args - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge_
config WebAcl Challenge Config Args - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom_
response_ Sequence[Webbodies Acl Custom Response Body Args] - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data_
protection_ Webconfig Acl Data Protection Config Args - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - default_
action WebAcl Default Action Args - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - description str
- Friendly description of the WebACL.
- lock_
token str - name str
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name_
prefix str - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region str
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule_
json str - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules
Sequence[Web
Acl Rule Args] ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- scope str
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - Mapping[str, str]
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - Mapping[str, str]
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block. - token_
domains Sequence[str] - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- visibility_
config WebAcl Visibility Config Args - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details.
- application
Integration StringUrl - The URL to use in SDK integrations with managed rule groups.
- arn String
- The ARN of the WAF WebACL.
- association
Config Property Map - Specifies custom configurations for the associations between the web ACL and protected resources. See
associationConfigbelow for details. - capacity Number
- Web ACL capacity units (WCUs) currently being used by this web ACL.
- captcha
Config Property Map - Specifies how AWS WAF should handle CAPTCHA evaluations on the ACL level (used by AWS Bot Control). See
captchaConfigbelow for details. - challenge
Config Property Map - Specifies how AWS WAF should handle Challenge evaluations on the ACL level (used by AWS Bot Control). See
challengeConfigbelow for details. - custom
Response List<Property Map>Bodies - Defines custom response bodies that can be referenced by
customResponseactions. SeecustomResponseBodybelow for details. - data
Protection Property MapConfig - Specifies data protection to apply to the web request data for the web ACL. This is a web ACL level data protection option. See
dataProtectionConfigbelow for details. - default
Action Property Map - Action to perform if none of the
rulescontained in the WebACL match. SeedefaultActionbelow for details. - description String
- Friendly description of the WebACL.
- lock
Token String - name String
- Friendly name of the WebACL. If omitted, the provider will assign a random, unique name. Conflicts with
namePrefix. - name
Prefix String - Creates a unique name beginning with the specified prefix. Conflicts with
name. - region String
- Region where this resource will be managed. Defaults to the Region set in the provider configuration.
- rule
Json String - Raw JSON string to allow more than three nested statements. Conflicts with
ruleattribute. This is for advanced use cases where more than 3 levels of nested statements are required. There is no drift detection at this time. If you use this attribute instead ofrule, you will be foregoing drift detection. Additionally, importing an existing web ACL into a configuration withruleJsonset will result in a one time in-place update as the remote rule configuration is initially written to theruleattribute. See the AWS documentation for the JSON structure. - rules List<Property Map>
ruleblocks in this resource have several known limitations. Consider usingaws.wafv2.WebAclRuleto manage rules as separate resources instead. Rule blocks used to identify the web requests that you want toallow,block, orcount. Seerulebelow for details.- scope String
- Specifies whether this is for an AWS CloudFront distribution or for a regional application. Valid values are
CLOUDFRONTorREGIONAL. To work with CloudFront, you must also specify the regionus-east-1(N. Virginia) on the AWS provider. - Map<String>
- Map of key-value pairs to associate with the resource. If configured with a provider
defaultTagsconfiguration block present, tags with matching keys will overwrite those defined at the provider-level. - Map<String>
- Map of tags assigned to the resource, including those inherited from the provider
defaultTagsconfiguration block. - token
Domains List<String> - Specifies the domains that AWS WAF should accept in a web request token. This enables the use of tokens across multiple protected websites. When AWS WAF provides a token, it uses the domain of the AWS resource that the web ACL is protecting. If you don't specify a list of token domains, AWS WAF accepts tokens only for the domain of the protected resource. With a token domain list, AWS WAF accepts the resource's host domain plus all domains in the token domain list, including their prefixed subdomains.
- visibility
Config Property Map - Defines and enables Amazon CloudWatch metrics and web request sample collection. See
visibilityConfigbelow for details.
Supporting Types
Note: There are over 200 nested types for this resource. Only the first 200 types are included in this documentation.
WebAclAssociationConfig, WebAclAssociationConfigArgs
- Request
Bodies List<WebAcl Association Config Request Body> - Customizes the request body that your protected resource forward to AWS WAF for inspection. See
requestBodybelow for details.
- Request
Bodies []WebAcl Association Config Request Body - Customizes the request body that your protected resource forward to AWS WAF for inspection. See
requestBodybelow for details.
- request
Bodies List<WebAcl Association Config Request Body> - Customizes the request body that your protected resource forward to AWS WAF for inspection. See
requestBodybelow for details.
- request
Bodies WebAcl Association Config Request Body[] - Customizes the request body that your protected resource forward to AWS WAF for inspection. See
requestBodybelow for details.
- request_
bodies Sequence[WebAcl Association Config Request Body] - Customizes the request body that your protected resource forward to AWS WAF for inspection. See
requestBodybelow for details.
- request
Bodies List<Property Map> - Customizes the request body that your protected resource forward to AWS WAF for inspection. See
requestBodybelow for details.
WebAclAssociationConfigRequestBody, WebAclAssociationConfigRequestBodyArgs
- Api
Gateway WebAcl Association Config Request Body Api Gateway - Customizes the request body that your protected Amazon API Gateway REST APIs forward to AWS WAF for inspection. Applicable only when
scopeis set toCLOUDFRONT. SeeapiGatewaybelow for details. - App
Runner WebService Acl Association Config Request Body App Runner Service - Customizes the request body that your protected Amazon App Runner services forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeappRunnerServicebelow for details. - Cloudfront
Web
Acl Association Config Request Body Cloudfront - Customizes the request body that your protected Amazon CloudFront distributions forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. Seecloudfrontbelow for details. - Cognito
User WebPool Acl Association Config Request Body Cognito User Pool - Customizes the request body that your protected Amazon Cognito user pools forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeecognitoUserPoolbelow for details. - Verified
Access WebInstance Acl Association Config Request Body Verified Access Instance - Customizes the request body that your protected AWS Verfied Access instances forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeverifiedAccessInstancebelow for details.
- Api
Gateway WebAcl Association Config Request Body Api Gateway - Customizes the request body that your protected Amazon API Gateway REST APIs forward to AWS WAF for inspection. Applicable only when
scopeis set toCLOUDFRONT. SeeapiGatewaybelow for details. - App
Runner WebService Acl Association Config Request Body App Runner Service - Customizes the request body that your protected Amazon App Runner services forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeappRunnerServicebelow for details. - Cloudfront
Web
Acl Association Config Request Body Cloudfront - Customizes the request body that your protected Amazon CloudFront distributions forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. Seecloudfrontbelow for details. - Cognito
User WebPool Acl Association Config Request Body Cognito User Pool - Customizes the request body that your protected Amazon Cognito user pools forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeecognitoUserPoolbelow for details. - Verified
Access WebInstance Acl Association Config Request Body Verified Access Instance - Customizes the request body that your protected AWS Verfied Access instances forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeverifiedAccessInstancebelow for details.
- api
Gateway WebAcl Association Config Request Body Api Gateway - Customizes the request body that your protected Amazon API Gateway REST APIs forward to AWS WAF for inspection. Applicable only when
scopeis set toCLOUDFRONT. SeeapiGatewaybelow for details. - app
Runner WebService Acl Association Config Request Body App Runner Service - Customizes the request body that your protected Amazon App Runner services forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeappRunnerServicebelow for details. - cloudfront
Web
Acl Association Config Request Body Cloudfront - Customizes the request body that your protected Amazon CloudFront distributions forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. Seecloudfrontbelow for details. - cognito
User WebPool Acl Association Config Request Body Cognito User Pool - Customizes the request body that your protected Amazon Cognito user pools forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeecognitoUserPoolbelow for details. - verified
Access WebInstance Acl Association Config Request Body Verified Access Instance - Customizes the request body that your protected AWS Verfied Access instances forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeverifiedAccessInstancebelow for details.
- api
Gateway WebAcl Association Config Request Body Api Gateway - Customizes the request body that your protected Amazon API Gateway REST APIs forward to AWS WAF for inspection. Applicable only when
scopeis set toCLOUDFRONT. SeeapiGatewaybelow for details. - app
Runner WebService Acl Association Config Request Body App Runner Service - Customizes the request body that your protected Amazon App Runner services forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeappRunnerServicebelow for details. - cloudfront
Web
Acl Association Config Request Body Cloudfront - Customizes the request body that your protected Amazon CloudFront distributions forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. Seecloudfrontbelow for details. - cognito
User WebPool Acl Association Config Request Body Cognito User Pool - Customizes the request body that your protected Amazon Cognito user pools forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeecognitoUserPoolbelow for details. - verified
Access WebInstance Acl Association Config Request Body Verified Access Instance - Customizes the request body that your protected AWS Verfied Access instances forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeverifiedAccessInstancebelow for details.
- api_
gateway WebAcl Association Config Request Body Api Gateway - Customizes the request body that your protected Amazon API Gateway REST APIs forward to AWS WAF for inspection. Applicable only when
scopeis set toCLOUDFRONT. SeeapiGatewaybelow for details. - app_
runner_ Webservice Acl Association Config Request Body App Runner Service - Customizes the request body that your protected Amazon App Runner services forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeappRunnerServicebelow for details. - cloudfront
Web
Acl Association Config Request Body Cloudfront - Customizes the request body that your protected Amazon CloudFront distributions forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. Seecloudfrontbelow for details. - cognito_
user_ Webpool Acl Association Config Request Body Cognito User Pool - Customizes the request body that your protected Amazon Cognito user pools forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeecognitoUserPoolbelow for details. - verified_
access_ Webinstance Acl Association Config Request Body Verified Access Instance - Customizes the request body that your protected AWS Verfied Access instances forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeverifiedAccessInstancebelow for details.
- api
Gateway Property Map - Customizes the request body that your protected Amazon API Gateway REST APIs forward to AWS WAF for inspection. Applicable only when
scopeis set toCLOUDFRONT. SeeapiGatewaybelow for details. - app
Runner Property MapService - Customizes the request body that your protected Amazon App Runner services forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeappRunnerServicebelow for details. - cloudfront Property Map
- Customizes the request body that your protected Amazon CloudFront distributions forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. Seecloudfrontbelow for details. - cognito
User Property MapPool - Customizes the request body that your protected Amazon Cognito user pools forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeecognitoUserPoolbelow for details. - verified
Access Property MapInstance - Customizes the request body that your protected AWS Verfied Access instances forward to AWS WAF for inspection. Applicable only when
scopeis set toREGIONAL. SeeverifiedAccessInstancebelow for details.
WebAclAssociationConfigRequestBodyApiGateway, WebAclAssociationConfigRequestBodyApiGatewayArgs
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon API Gateway REST APIs should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon API Gateway REST APIs should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon API Gateway REST APIs should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon API Gateway REST APIs should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default_
size_ strinspection_ limit - Specifies the maximum size of the web request body component that an associated Amazon API Gateway REST APIs should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon API Gateway REST APIs should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
WebAclAssociationConfigRequestBodyAppRunnerService, WebAclAssociationConfigRequestBodyAppRunnerServiceArgs
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon App Runner services should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon App Runner services should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon App Runner services should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon App Runner services should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default_
size_ strinspection_ limit - Specifies the maximum size of the web request body component that an associated Amazon App Runner services should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon App Runner services should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
WebAclAssociationConfigRequestBodyCloudfront, WebAclAssociationConfigRequestBodyCloudfrontArgs
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon CloudFront distribution should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon CloudFront distribution should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon CloudFront distribution should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon CloudFront distribution should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default_
size_ strinspection_ limit - Specifies the maximum size of the web request body component that an associated Amazon CloudFront distribution should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon CloudFront distribution should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
WebAclAssociationConfigRequestBodyCognitoUserPool, WebAclAssociationConfigRequestBodyCognitoUserPoolArgs
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon Cognito user pools should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon Cognito user pools should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon Cognito user pools should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon Cognito user pools should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default_
size_ strinspection_ limit - Specifies the maximum size of the web request body component that an associated Amazon Cognito user pools should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated Amazon Cognito user pools should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
WebAclAssociationConfigRequestBodyVerifiedAccessInstance, WebAclAssociationConfigRequestBodyVerifiedAccessInstanceArgs
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated AWS Verified Access instances should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- Default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated AWS Verified Access instances should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated AWS Verified Access instances should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size stringInspection Limit - Specifies the maximum size of the web request body component that an associated AWS Verified Access instances should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default_
size_ strinspection_ limit - Specifies the maximum size of the web request body component that an associated AWS Verified Access instances should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
- default
Size StringInspection Limit - Specifies the maximum size of the web request body component that an associated AWS Verified Access instances should send to AWS WAF for inspection. This applies to statements in the web ACL that inspect the body or JSON body. Valid values are
KB_16,KB_32,KB_48andKB_64.
WebAclCaptchaConfig, WebAclCaptchaConfigArgs
- Immunity
Time WebProperty Acl Captcha Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- Immunity
Time WebProperty Acl Captcha Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity
Time WebProperty Acl Captcha Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity
Time WebProperty Acl Captcha Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity_
time_ Webproperty Acl Captcha Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity
Time Property MapProperty - Defines custom immunity time. See
immunityTimePropertybelow for details.
WebAclCaptchaConfigImmunityTimeProperty, WebAclCaptchaConfigImmunityTimePropertyArgs
- Immunity
Time int - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- Immunity
Time int - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity
Time Integer - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity
Time number - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity_
time int - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity
Time Number - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
WebAclChallengeConfig, WebAclChallengeConfigArgs
- Immunity
Time WebProperty Acl Challenge Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- Immunity
Time WebProperty Acl Challenge Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity
Time WebProperty Acl Challenge Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity
Time WebProperty Acl Challenge Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity_
time_ Webproperty Acl Challenge Config Immunity Time Property - Defines custom immunity time. See
immunityTimePropertybelow for details.
- immunity
Time Property MapProperty - Defines custom immunity time. See
immunityTimePropertybelow for details.
WebAclChallengeConfigImmunityTimeProperty, WebAclChallengeConfigImmunityTimePropertyArgs
- Immunity
Time int - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- Immunity
Time int - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity
Time Integer - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity
Time number - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity_
time int - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
- immunity
Time Number - The amount of time, in seconds, that a CAPTCHA or challenge timestamp is considered valid by AWS WAF. The default setting is 300.
WebAclCustomResponseBody, WebAclCustomResponseBodyArgs
- Content string
- Payload of the custom response.
- Content
Type string - Type of content in the payload that you are defining in the
contentargument. Valid values areTEXT_PLAIN,TEXT_HTML, orAPPLICATION_JSON. - Key string
- Unique key identifying the custom response body. This is referenced by the
customResponseBodyKeyargument in thecustomResponseblock.
- Content string
- Payload of the custom response.
- Content
Type string - Type of content in the payload that you are defining in the
contentargument. Valid values areTEXT_PLAIN,TEXT_HTML, orAPPLICATION_JSON. - Key string
- Unique key identifying the custom response body. This is referenced by the
customResponseBodyKeyargument in thecustomResponseblock.
- content String
- Payload of the custom response.
- content
Type String - Type of content in the payload that you are defining in the
contentargument. Valid values areTEXT_PLAIN,TEXT_HTML, orAPPLICATION_JSON. - key String
- Unique key identifying the custom response body. This is referenced by the
customResponseBodyKeyargument in thecustomResponseblock.
- content string
- Payload of the custom response.
- content
Type string - Type of content in the payload that you are defining in the
contentargument. Valid values areTEXT_PLAIN,TEXT_HTML, orAPPLICATION_JSON. - key string
- Unique key identifying the custom response body. This is referenced by the
customResponseBodyKeyargument in thecustomResponseblock.
- content str
- Payload of the custom response.
- content_
type str - Type of content in the payload that you are defining in the
contentargument. Valid values areTEXT_PLAIN,TEXT_HTML, orAPPLICATION_JSON. - key str
- Unique key identifying the custom response body. This is referenced by the
customResponseBodyKeyargument in thecustomResponseblock.
- content String
- Payload of the custom response.
- content
Type String - Type of content in the payload that you are defining in the
contentargument. Valid values areTEXT_PLAIN,TEXT_HTML, orAPPLICATION_JSON. - key String
- Unique key identifying the custom response body. This is referenced by the
customResponseBodyKeyargument in thecustomResponseblock.
WebAclDataProtectionConfig, WebAclDataProtectionConfigArgs
- Data
Protections List<WebAcl Data Protection Config Data Protection> - A block for data protection configurations for specific web request field types. See
dataProtectionblock for details.
- Data
Protections []WebAcl Data Protection Config Data Protection - A block for data protection configurations for specific web request field types. See
dataProtectionblock for details.
- data
Protections List<WebAcl Data Protection Config Data Protection> - A block for data protection configurations for specific web request field types. See
dataProtectionblock for details.
- data
Protections WebAcl Data Protection Config Data Protection[] - A block for data protection configurations for specific web request field types. See
dataProtectionblock for details.
- data_
protections Sequence[WebAcl Data Protection Config Data Protection] - A block for data protection configurations for specific web request field types. See
dataProtectionblock for details.
- data
Protections List<Property Map> - A block for data protection configurations for specific web request field types. See
dataProtectionblock for details.
WebAclDataProtectionConfigDataProtection, WebAclDataProtectionConfigDataProtectionArgs
- Action string
- Specifies how to protect the field. Valid values are
SUBSTITUTIONorHASH. - Field
Web
Acl Data Protection Config Data Protection Field - Specifies the field type and optional keys to apply the protection behavior to. See
fieldblock below for details. - Exclude
Rate boolBased Details - Boolean to specify whether to also exclude any rate-based rule details from the data protection you have enabled for a given field.
- Exclude
Rule boolMatch Details - Boolean to specify whether to also exclude any rule match details from the data protection you have enabled for a given field. AWS WAF logs these details for non-terminating matching rules and for the terminating matching rule.
- Action string
- Specifies how to protect the field. Valid values are
SUBSTITUTIONorHASH. - Field
Web
Acl Data Protection Config Data Protection Field - Specifies the field type and optional keys to apply the protection behavior to. See
fieldblock below for details. - Exclude
Rate boolBased Details - Boolean to specify whether to also exclude any rate-based rule details from the data protection you have enabled for a given field.
- Exclude
Rule boolMatch Details - Boolean to specify whether to also exclude any rule match details from the data protection you have enabled for a given field. AWS WAF logs these details for non-terminating matching rules and for the terminating matching rule.
- action String
- Specifies how to protect the field. Valid values are
SUBSTITUTIONorHASH. - field
Web
Acl Data Protection Config Data Protection Field - Specifies the field type and optional keys to apply the protection behavior to. See
fieldblock below for details. - exclude
Rate BooleanBased Details - Boolean to specify whether to also exclude any rate-based rule details from the data protection you have enabled for a given field.
- exclude
Rule BooleanMatch Details - Boolean to specify whether to also exclude any rule match details from the data protection you have enabled for a given field. AWS WAF logs these details for non-terminating matching rules and for the terminating matching rule.
- action string
- Specifies how to protect the field. Valid values are
SUBSTITUTIONorHASH. - field
Web
Acl Data Protection Config Data Protection Field - Specifies the field type and optional keys to apply the protection behavior to. See
fieldblock below for details. - exclude
Rate booleanBased Details - Boolean to specify whether to also exclude any rate-based rule details from the data protection you have enabled for a given field.
- exclude
Rule booleanMatch Details - Boolean to specify whether to also exclude any rule match details from the data protection you have enabled for a given field. AWS WAF logs these details for non-terminating matching rules and for the terminating matching rule.
- action str
- Specifies how to protect the field. Valid values are
SUBSTITUTIONorHASH. - field
Web
Acl Data Protection Config Data Protection Field - Specifies the field type and optional keys to apply the protection behavior to. See
fieldblock below for details. - exclude_
rate_ boolbased_ details - Boolean to specify whether to also exclude any rate-based rule details from the data protection you have enabled for a given field.
- exclude_
rule_ boolmatch_ details - Boolean to specify whether to also exclude any rule match details from the data protection you have enabled for a given field. AWS WAF logs these details for non-terminating matching rules and for the terminating matching rule.
- action String
- Specifies how to protect the field. Valid values are
SUBSTITUTIONorHASH. - field Property Map
- Specifies the field type and optional keys to apply the protection behavior to. See
fieldblock below for details. - exclude
Rate BooleanBased Details - Boolean to specify whether to also exclude any rate-based rule details from the data protection you have enabled for a given field.
- exclude
Rule BooleanMatch Details - Boolean to specify whether to also exclude any rule match details from the data protection you have enabled for a given field. AWS WAF logs these details for non-terminating matching rules and for the terminating matching rule.
WebAclDataProtectionConfigDataProtectionField, WebAclDataProtectionConfigDataProtectionFieldArgs
- Field
Type string - Specifies the web request component type to protect. Valid Values are
SINGLE_HEADER,SINGLE_COOKIE,SINGLE_QUERY_ARGUMENT,QUERY_STRING,BODY. - Field
Keys List<string> - Array of strings to specify the keys to protect for the specified field type. If you don't specify any key, then all keys for the field type are protected.
- Field
Type string - Specifies the web request component type to protect. Valid Values are
SINGLE_HEADER,SINGLE_COOKIE,SINGLE_QUERY_ARGUMENT,QUERY_STRING,BODY. - Field
Keys []string - Array of strings to specify the keys to protect for the specified field type. If you don't specify any key, then all keys for the field type are protected.
- field
Type String - Specifies the web request component type to protect. Valid Values are
SINGLE_HEADER,SINGLE_COOKIE,SINGLE_QUERY_ARGUMENT,QUERY_STRING,BODY. - field
Keys List<String> - Array of strings to specify the keys to protect for the specified field type. If you don't specify any key, then all keys for the field type are protected.
- field
Type string - Specifies the web request component type to protect. Valid Values are
SINGLE_HEADER,SINGLE_COOKIE,SINGLE_QUERY_ARGUMENT,QUERY_STRING,BODY. - field
Keys string[] - Array of strings to specify the keys to protect for the specified field type. If you don't specify any key, then all keys for the field type are protected.
- field_
type str - Specifies the web request component type to protect. Valid Values are
SINGLE_HEADER,SINGLE_COOKIE,SINGLE_QUERY_ARGUMENT,QUERY_STRING,BODY. - field_
keys Sequence[str] - Array of strings to specify the keys to protect for the specified field type. If you don't specify any key, then all keys for the field type are protected.
- field
Type String - Specifies the web request component type to protect. Valid Values are
SINGLE_HEADER,SINGLE_COOKIE,SINGLE_QUERY_ARGUMENT,QUERY_STRING,BODY. - field
Keys List<String> - Array of strings to specify the keys to protect for the specified field type. If you don't specify any key, then all keys for the field type are protected.
WebAclDefaultAction, WebAclDefaultActionArgs
- Allow
Web
Acl Default Action Allow - Specifies that AWS WAF should allow requests by default. See
allowbelow for details. - Block
Web
Acl Default Action Block - Specifies that AWS WAF should block requests by default. See
blockbelow for details.
- Allow
Web
Acl Default Action Allow - Specifies that AWS WAF should allow requests by default. See
allowbelow for details. - Block
Web
Acl Default Action Block - Specifies that AWS WAF should block requests by default. See
blockbelow for details.
- allow
Web
Acl Default Action Allow - Specifies that AWS WAF should allow requests by default. See
allowbelow for details. - block
Web
Acl Default Action Block - Specifies that AWS WAF should block requests by default. See
blockbelow for details.
- allow
Web
Acl Default Action Allow - Specifies that AWS WAF should allow requests by default. See
allowbelow for details. - block
Web
Acl Default Action Block - Specifies that AWS WAF should block requests by default. See
blockbelow for details.
- allow
Web
Acl Default Action Allow - Specifies that AWS WAF should allow requests by default. See
allowbelow for details. - block
Web
Acl Default Action Block - Specifies that AWS WAF should block requests by default. See
blockbelow for details.
- allow Property Map
- Specifies that AWS WAF should allow requests by default. See
allowbelow for details. - block Property Map
- Specifies that AWS WAF should block requests by default. See
blockbelow for details.
WebAclDefaultActionAllow, WebAclDefaultActionAllowArgs
- Custom
Request WebHandling Acl Default Action Allow Custom Request Handling - Defines custom handling for the web request. See
customRequestHandlingbelow for details.
- Custom
Request WebHandling Acl Default Action Allow Custom Request Handling - Defines custom handling for the web request. See
customRequestHandlingbelow for details.
- custom
Request WebHandling Acl Default Action Allow Custom Request Handling - Defines custom handling for the web request. See
customRequestHandlingbelow for details.
- custom
Request WebHandling Acl Default Action Allow Custom Request Handling - Defines custom handling for the web request. See
customRequestHandlingbelow for details.
- custom_
request_ Webhandling Acl Default Action Allow Custom Request Handling - Defines custom handling for the web request. See
customRequestHandlingbelow for details.
- custom
Request Property MapHandling - Defines custom handling for the web request. See
customRequestHandlingbelow for details.
WebAclDefaultActionAllowCustomRequestHandling, WebAclDefaultActionAllowCustomRequestHandlingArgs
- Insert
Headers List<WebAcl Default Action Allow Custom Request Handling Insert Header> - The
insertHeaderblocks used to define HTTP headers added to the request. SeeinsertHeaderbelow for details.
- Insert
Headers []WebAcl Default Action Allow Custom Request Handling Insert Header - The
insertHeaderblocks used to define HTTP headers added to the request. SeeinsertHeaderbelow for details.
- insert
Headers List<WebAcl Default Action Allow Custom Request Handling Insert Header> - The
insertHeaderblocks used to define HTTP headers added to the request. SeeinsertHeaderbelow for details.
- insert
Headers WebAcl Default Action Allow Custom Request Handling Insert Header[] - The
insertHeaderblocks used to define HTTP headers added to the request. SeeinsertHeaderbelow for details.
- insert_
headers Sequence[WebAcl Default Action Allow Custom Request Handling Insert Header] - The
insertHeaderblocks used to define HTTP headers added to the request. SeeinsertHeaderbelow for details.
- insert
Headers List<Property Map> - The
insertHeaderblocks used to define HTTP headers added to the request. SeeinsertHeaderbelow for details.
WebAclDefaultActionAllowCustomRequestHandlingInsertHeader, WebAclDefaultActionAllowCustomRequestHandlingInsertHeaderArgs
- Name string
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - Value string
- Value of the custom header.
- Name string
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - Value string
- Value of the custom header.
- name String
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value String
- Value of the custom header.
- name string
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value string
- Value of the custom header.
- name str
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value str
- Value of the custom header.
- name String
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value String
- Value of the custom header.
WebAclDefaultActionBlock, WebAclDefaultActionBlockArgs
- Custom
Response WebAcl Default Action Block Custom Response - Defines a custom response for the web request. See
customResponsebelow for details.
- Custom
Response WebAcl Default Action Block Custom Response - Defines a custom response for the web request. See
customResponsebelow for details.
- custom
Response WebAcl Default Action Block Custom Response - Defines a custom response for the web request. See
customResponsebelow for details.
- custom
Response WebAcl Default Action Block Custom Response - Defines a custom response for the web request. See
customResponsebelow for details.
- custom_
response WebAcl Default Action Block Custom Response - Defines a custom response for the web request. See
customResponsebelow for details.
- custom
Response Property Map - Defines a custom response for the web request. See
customResponsebelow for details.
WebAclDefaultActionBlockCustomResponse, WebAclDefaultActionBlockCustomResponseArgs
- Response
Code int - The HTTP status code to return to the client.
- Custom
Response stringBody Key - References the response body that you want AWS WAF to return to the web request client. This must reference a
keydefined in acustomResponseBodyblock of this resource. - Response
Headers List<WebAcl Default Action Block Custom Response Response Header> - The
responseHeaderblocks used to define the HTTP response headers added to the response. SeeresponseHeaderbelow for details.
- Response
Code int - The HTTP status code to return to the client.
- Custom
Response stringBody Key - References the response body that you want AWS WAF to return to the web request client. This must reference a
keydefined in acustomResponseBodyblock of this resource. - Response
Headers []WebAcl Default Action Block Custom Response Response Header - The
responseHeaderblocks used to define the HTTP response headers added to the response. SeeresponseHeaderbelow for details.
- response
Code Integer - The HTTP status code to return to the client.
- custom
Response StringBody Key - References the response body that you want AWS WAF to return to the web request client. This must reference a
keydefined in acustomResponseBodyblock of this resource. - response
Headers List<WebAcl Default Action Block Custom Response Response Header> - The
responseHeaderblocks used to define the HTTP response headers added to the response. SeeresponseHeaderbelow for details.
- response
Code number - The HTTP status code to return to the client.
- custom
Response stringBody Key - References the response body that you want AWS WAF to return to the web request client. This must reference a
keydefined in acustomResponseBodyblock of this resource. - response
Headers WebAcl Default Action Block Custom Response Response Header[] - The
responseHeaderblocks used to define the HTTP response headers added to the response. SeeresponseHeaderbelow for details.
- response_
code int - The HTTP status code to return to the client.
- custom_
response_ strbody_ key - References the response body that you want AWS WAF to return to the web request client. This must reference a
keydefined in acustomResponseBodyblock of this resource. - response_
headers Sequence[WebAcl Default Action Block Custom Response Response Header] - The
responseHeaderblocks used to define the HTTP response headers added to the response. SeeresponseHeaderbelow for details.
- response
Code Number - The HTTP status code to return to the client.
- custom
Response StringBody Key - References the response body that you want AWS WAF to return to the web request client. This must reference a
keydefined in acustomResponseBodyblock of this resource. - response
Headers List<Property Map> - The
responseHeaderblocks used to define the HTTP response headers added to the response. SeeresponseHeaderbelow for details.
WebAclDefaultActionBlockCustomResponseResponseHeader, WebAclDefaultActionBlockCustomResponseResponseHeaderArgs
- Name string
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - Value string
- Value of the custom header.
- Name string
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - Value string
- Value of the custom header.
- name String
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value String
- Value of the custom header.
- name string
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value string
- Value of the custom header.
- name str
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value str
- Value of the custom header.
- name String
- Name of the custom header. For custom request header insertion, when AWS WAF inserts the header into the request, it prefixes this name
x-amzn-waf-, to avoid confusion with the headers that are already in the request. For example, for the header namesample, AWS WAF inserts the headerx-amzn-waf-sample. - value String
- Value of the custom header.
WebAclRule, WebAclRuleArgs
- Name string
- Friendly name of the rule. Note that the provider assumes that rules with names matching this pattern,
^ShieldMitigationRuleGroup_<account-id>_<web-acl-guid>_.*, are AWS-added for automatic application layer DDoS mitigation activities. Such rules will be ignored by the provider unless you explicitly include them in your configuration (for example, by using the AWS CLI to discover their properties and creating matching configuration). However, since these rules are owned and managed by AWS, you may get permission errors. - Priority int
[...]
